import styles from "./progressbar.module.css"

import type { ProgressbarProps } from "./progressbar"

export default function ProgressBar({ className, progress }: ProgressbarProps) {
  className = className ?? ""
  return (
    <div className={`${className} ${styles.bar}`}>
      <div className={styles.progress} style={{ width: `${progress}%` }} />
    </div>
  )
}
